﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows;
using Infragistics.Controls.Grids;
using System.Windows.Forms;
using System.Globalization;
using System.Data;

namespace xamGridHeader
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DataSet set;

        public MainWindow()
        {
            InitializeComponent();
            set = GenerateData();
            this.xamGrid1.ItemsSource = set.Tables[0].DefaultView; 
        }

        private DataSet GenerateData()
        {
            var data = new DataSet("SimpleData");
            data.EnforceConstraints = false;

            DataTable parent = new DataTable("Parent");

            parent.Columns.Add("Identification Number", typeof(int));
            parent.Columns.Add("Name", typeof(string));

            parent.PrimaryKey = new[] { parent.Columns[0] };

            data.Tables.Add(parent);
           
            for (int i = 1; i < 4; i++)
            {
                data.Tables["Parent"].Rows.Add(new object[] { i, "Parent" + i });
            }

            data.AcceptChanges();
            return data;
        }

        private void xamGrid1_ColumnLayoutAssigned(object sender, ColumnLayoutAssignedEventArgs e)
        {
            foreach (var item in e.ColumnLayout.Columns)
            {
                item.HeaderTemplate = this.Resources["header"] as DataTemplate;
	        }   
        }

        
  
 

       

       

      

       

       
    }
}
